global using global::System;
global using global::System.Collections.Generic;
global using global::System.IO;
global using global::System.Linq;
global using global::System.Net.Http;
global using global::System.Threading;
global using global::System.Threading.Tasks;

namespace _a_pecina
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] ulaz1 = Console.ReadLine().Split(" ");
            int N = int.Parse(ulaz1[0]);
            int L = int.Parse(ulaz1[1]);
            int min = L;
            int index = -1;

            string[] ulaz2 = Console.ReadLine().Split(" ");
            for (int i = 0; i < N; i++)
            {
                int rastojanje = Convert.ToInt32(ulaz2[i]);
                if (rastojanje <= min)
                {
                    min = rastojanje;
                    index = i+1;
                    break;
                }
            }
            Console.WriteLine(index);
        }
    }
}